<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="oracle.manageddataaccess.client" type="OracleInternal.Common.ODPMSectionHandler, Oracle.ManagedDataAccess, Version=4.122.18.3, Culture=neutral, PublicKeyToken=89b483f429c47342"/>
    </configSections>

  <connectionStrings>
    <add name="mesConn" connectionString="Data Source=(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=10.240.81.9)(PORT=1521))(CONNECT_DATA=(SERVICE_NAME=PVMES)));Persist Security Info=True;User ID=YDClient;Password=123456;" providerName="System.Data.SqlClient"/>
    <add name="cloudConn" connectionString="server=182.61.37.23;database=js_mes;uid=mesadmin;pwd=1qAZ2wSX; Connection TimeOut=10 ;Allow User Variables=True ;" providerName="System.Data.SqlClient"/>
    <add name="mysqlConn" connectionString="server=182.61.37.23;database=js_mes;uid=mesadmin;pwd=1qAZ2wSX; Connection TimeOut=10 ;Allow User Variables=True ;" providerName="System.Data.SqlClient"/>
    <add name="Sql" connectionString="Data Source=192.168.0.38;Initial Catalog=mes_level2_iface;User ID=mes;Password=1qAZ2wSX" providerName="System.Data.SqlClient"/>
  </connectionStrings>
  
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6"/>
    </startup>
    <system.data>
        <DbProviderFactories>
          <remove invariant="Oracle.ManagedDataAccess.Client"/>
          <remove invariant="MySql.Data.MySqlClient" />

          <add name="ODP.NET, Managed Driver" invariant="Oracle.ManagedDataAccess.Client" description="Oracle Data Provider for .NET, Managed Driver" type="Oracle.ManagedDataAccess.Client.OracleClientFactory, Oracle.ManagedDataAccess, Version=4.122.18.3, Culture=neutral, PublicKeyToken=89b483f429c47342"/>
          <add name="MySQL Data Provider" invariant="MySql.Data.MySqlClient" description="ADO.Net driver for MySQL" type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data, Version=6.5.4.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d" />
        </DbProviderFactories>
    </system.data>
    <runtime>
        <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
            <dependentAssembly>
                <probing privatePath="x86"/>
                <publisherPolicy apply="no"/>
                <assemblyIdentity name="Oracle.ManagedDataAccess" publicKeyToken="89b483f429c47342" culture="neutral"/>
                <bindingRedirect oldVersion="4.122.0.0 - 4.65535.65535.65535" newVersion="4.122.18.3"/>
            </dependentAssembly>
        </assemblyBinding>
    </runtime>
    <oracle.manageddataaccess.client>
        <version number="*">
            <dataSources>
                <dataSource alias="SampleDataSource" descriptor="(DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=localhost)(PORT=1521))(CONNECT_DATA=(SERVICE_NAME=ORCL))) "/>
            </dataSources>
        </version>
    </oracle.manageddataaccess.client>
 
</configuration>
